<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

use App\Models\Domain;

class AddressIdleDomain implements ShouldQueue
{
	use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

	/**
	 * Execute the job.
	 */
	public function handle(): void
	{
		foreach (Domain::whereNotNull('nodestatus_id')->cursor() as $do)
			AddressIdle::dispatch($do);
	}
}